# $Revision: 1.46 $, $Date: 2004/03/07 19:31:39 $
Summary:	A Tk toolkit extension, including widgets, geometry managers, etc
Summary(es):	Componentes (widgets) y comandos extras para aplicaciones Tk
Summary(pl):	Rozszerzenie Tk umoliwiajce operowanie na kontrolkach i wiele innych
Summary(pt_BR):	Componentes (widgets) e comandos extras para aplicaes Tk
Summary(ru):	  Tk,   ,    .
Summary(uk):	  Tk,  ƦΦ ͦ,  Ҧ  .
Name:		blt
Version:	2.4u
Release:	15
License:	MIT
Group:		Development/Tools
Source0:	ftp://ftp.scriptics.com/pub/tcl/blt/BLT%{version}.tar.gz
# Source0-md5:	bad9f33789a6aac390cebba819ee6b38
Patch0:		%{name}-DESTDIR.patch
Patch1:		%{name}-paths.patch
Patch2:		%{name}-excl.patch
Patch3:		%{name}-acfix.patch
Patch4:		%{name}-nolibnsl.patch
Patch5:		%{name}-tcltk84.patch
Patch6:		%{name}-norpath.patch
URL:		http://incrtcl.sourceforge.net/blt/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	tcl-devel >= 8.4.6
BuildRequires:	tk-devel >= 8.4.6
Requires:	tcl >= 8.4.6
Requires:	tk >= 8.4.6
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_ulibdir	%{_prefix}/lib

%description
BLT is an extension to the Tk toolkit. BLT's most useful feature is
the provision of more widgets for Tk, but it also provides more
geometry managers and miscellaneous other commands. Note that you
won't need to do any patching of the Tcl or Tk source files to use
BLT, but you will need to have Tcl/Tk installed in order to use BLT.
If you are programming with the Tk toolkit, you should install BLT.
You will need to have Tcl/Tk installed.

%description -l es
BLT ofrece componentes (widgets) y comandos extras para programas Tk.
Incluye componentes grficos, administracin de geometra de tablas y
folders.

%description -l pl
BLT jest rozszerzeniem Tk. Najbardziej uyteczn funkcj BLT jest
rozszerzenie Tk o wiksz ilo kontrolek; oferuje rwnie wicej
funkcji zarzdzania geometri i innych polece. Aby uywa BLT nie
trzeba ata plikw rdowych Tcl ani Tk, trzeba jednak mie
zainstalowanego Tcl/Tk. Jeli programuje si w Tcl/Tk, lepiej
zainstalowa BLT. Trzeba rwnie zainstalowa Tcl/Tk.

%description -l pt_BR
O BLT fornece componentes (widgets) e comandos extras para programas
Tk. Ele inclui componentes grficos, gerenciamento de geometria de
tabelas e folders.

%description -l ru
BLT -    Tk.    BLT
      Tk,   
      . 
,        Tcl  Tk 
,   BLT,     Tcl/Tk 
 BLT.

%description -l uk
BLT -    Tk. ¦ æ צ BLT 
 ¦  ͦצ  Tk,  צ   ¦
Ҧ Ҧ   . ̦ ,    
ͦ Ȧ Ԧ Tcl  Tk  ,  
BLT,   Ȧ  Tcl/Tk   BLT.

%package devel
Summary:	BLT development package
Summary(pl):	Pakiet dla programistw BLT
Group:		Development/Tools
Requires:	%{name} = %{version}-%{release}

%description devel
BLT header files.

%description devel -l pl
Pliki nagwkowe BLT.

%package static
Summary:	BLT static libraries
Summary(pl):	Biblioteki statyczne BLT
Group:		Development/Tools
Requires:	%{name}-devel = %{version}-%{release}

%description static
BLT static libraries.

%description static -l pl
Biblioteki statyczne BLT.

%package demos
Summary:	BLT demos and examples
Summary(pl):	Dema i przykady do BLT
Summary(pt_BR):	Programas que demonstram as caractersticas do BLT
Summary(es):	BLT Demonstrations
Group:		Development/Tools
Requires:	%{name} = %{version}-%{release}

%description demos
BLT demos and examples.

%description demos -l es
BLT Demonstrations.

%description demos -l pl
Programy demonstracyjne i przykadowe do BLT.

%description demos -l pt_BR
Programas que demonstram as caractersticas do BLT.

%prep
%setup -q -n %{name}%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%build
cp -f /usr/share/automake/config.* cf
%{__autoconf}
%configure \
	--with-tcllibs=%{_libdir} \
	--with-tklibs=%{_libdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_prefix},%{_examplesdir}/%{name}-%{release}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	libdir=%{_libdir}

ln -sf libBLT24.so $RPM_BUILD_ROOT%{_libdir}/libBLT.so
ln -sf libBLTlite24.so $RPM_BUILD_ROOT%{_libdir}/libBLTlite.so

# use dynamically linked binaries
mv -f $RPM_BUILD_ROOT%{_bindir}/bltsh24 $RPM_BUILD_ROOT%{_bindir}/bltsh
mv -f $RPM_BUILD_ROOT%{_bindir}/bltwish24 $RPM_BUILD_ROOT%{_bindir}/bltwish

# bitmap.n is provided by tk-devel
rm -f $RPM_BUILD_ROOT%{_mandir}/mann/bitmap.n

mv -f $RPM_BUILD_ROOT%{_ulibdir}/blt2.4/demos $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{release}
cp -rf examples $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{release}

rm -f html/Makefile* $RPM_BUILD_ROOT%{_ulibdir}/blt2.4/{NEWS,README,PROBLEMS}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README NEWS PROBLEMS
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/libBLT*24.so
%{_ulibdir}/blt2.4

%files devel
%defattr(644,root,root,755)
%doc html
%attr(755,root,root) %{_libdir}/libBLT*[A-Za-z].so
%{_includedir}/blt*.h
%{_mandir}/mann/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%files demos
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{release}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: blt.spec,v $
Revision 1.46  2004/03/07 19:31:39  qboosh
- release 15

Revision 1.45  2004/03/07 14:16:14  qboosh
- more lib64 fixes

Revision 1.44  2004/03/07 12:33:46  qboosh
- versioned examples dir, pass tcllibs,tklibs for lib64 support

Revision 1.43  2004/03/07 09:48:39  qboosh
- direct URL

Revision 1.42  2004/03/07 00:24:26  qboosh
- reverted ugly hackery - shouldn't be needed with new tcl soname fixes (R: it)
- strict internal deps, release 14

Revision 1.41  2004/02/22 21:25:58  blues
- merged from RA-branch

Revision 1.40  2004/02/22 20:28:22  blues
- release 13 (12 for RA) - fixed library name (simple program included in
  tcl program does not work - some better fix is needed)

Revision 1.39  2003/08/28 12:03:36  ankry
- s/tk/Tk/

Revision 1.38  2003/08/06 16:36:16  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.37  2003/07/07 04:23:51  blues
- many small fixes, inspired by kloczek

Revision 1.36  2003/06/17 19:12:45  qboosh
- added norpath patch, release 11

Revision 1.35  2003/06/16 22:30:05  qboosh
- added tcltk84 patch - now builds with tcl+tk 8.4.3
- release 10

Revision 1.34  2003/05/28 12:58:47  malekith
- massive attack: source-md5

Revision 1.33  2003/05/25 05:46:00  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.32  2003/03/04 23:31:22  qboosh
- added acfix and nolibnsl patches, fixed build on athlon
- added missing headers to -devel(!), moved base docs to base
- release 9

Revision 1.31  2003/02/28 10:07:21  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.30  2002/12/23 14:28:29  qboosh
- added URL, changed Source0 URL to working one

Revision 1.29  2002/12/12 01:33:21  blues
- spelling fixes by Tomasz "Witek" Wittner <wittt_@poczta.onet.pl>

Revision 1.28  2002/11/25 19:50:48  qboosh
- better pl

Revision 1.27  2002/11/25 01:40:36  ankry
Massive attack:
- s/man[ea]d[z][ae]r/zarzdca/g
- (some) new %%doc

Revision 1.26  2002/06/30 19:26:45  kloczek
- release 8: use new %doc and few cleanups in spec file.

Revision 1.25  2002/04/25 15:53:58  arturs
fixed a small typo

Revision 1.24  2002/04/25 10:34:09  marcus
- rel.7.
- s/demo/demos

Revision 1.23  2002/02/23 01:33:37  kloczek
- adapterized.

Revision 1.22  2002/02/22 23:28:43  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.21  2002/01/18 02:12:30  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.20  2001/12/05 12:57:07  blues
- release 6
- some stollen translations
- configure2_13 used (builds now)

Revision 1.19  2001/10/08 19:40:38  marcus
- added aclocal and BR: automake

Revision 1.18  2001/09/27 07:53:20  qboosh
- BuildRequires: autoconf; added the rest of pl translations

Revision 1.17  2001/09/27 00:22:35  marcus
- added autoconf

Revision 1.16  2001/01/06 02:27:42  kloczek
- reverte alst changes (tk-devel was fixed and have in Requires list
  XFree86-devel)

Revision 1.15  2001/01/05 23:38:58  qboosh
- BuildRequires: XFree86-devel

Revision 1.14  2001/01/05 08:02:56  kloczek
- release 5,
- merged excl rawhide patch (with fix tmp race),
- moved %doc to devel,
- added BuildRequires rules,
- few small cleanups.

Revision 1.13  2001/01/04 23:15:17  qboosh
- update to 2.4u
- updated Source URL
- new DESTDIR and paths patches
- demos package

Revision 1.12  2000/11/12 20:11:54  kloczek
- modyfications for using neew rpm automation.

Revision 1.11  2000/06/09 07:22:48  kloczek
- added using %%{__make} macro.

Revision 1.10  2000/05/18 16:58:01  kloczek
- spec adapterized.

Revision 1.9  2000/05/02 21:21:43  baggins
- fixed version, minor cleanup

Revision 1.8  2000/04/01 11:14:24  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.7  2000/03/28 16:54:15  baggins
- translated kloczkish into english

Revision 1.6  2000/03/27 00:41:12  kloczek
- updated Source url.

Revision 1.5  2000/03/25 21:09:43  arturs
- %description -l pl: additions & corrections
